/************************************************************
(c)Copyright 1992 by Hewlett-Packard Co., Palo Alto, California.

                        All Rights Reserved

Permission to use, copy, modify, and distribute this software and its 
documentation for any purpose and without fee is hereby granted, 
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in 
supporting documentation, and that the names of Hewlett-Packard or MIT not be
used in advertising or publicity pertaining to distribution of the
software without specific, written prior permission.  

HEWLETT-PACKARD DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL
HEWLETT-PACKARD BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR
ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
SOFTWARE.

********************************************************/

#ifndef NGLE_H
#define NGLE_H

#include <unistd.h>         /* keys off _[POSIX|HPUX|XOPEN]_SOURCE */
#include <stdlib.h>         /* For prototype of getenv() */
#include <stdio.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/sysmacros.h>
#include <sys/framebuf.h>
#include <fcntl.h>

#include "X.h"
#include "Xproto.h"

#include "scrnintstr.h"
#include "cursorstr.h"
#include "pixmapstr.h"
#include "regionstr.h"
#include "windowstr.h"
#include "colormapst.h"
#include "resource.h"
#include "opaque.h"

#ifndef Card32
#define Card32 unsigned int
#endif
#ifndef Int32
#define Int32 int 
#endif

#ifndef Card16
#define Card16 unsigned short
#endif
#ifndef Int16
#define Int16 short 
#endif

#ifndef Card8
#define Card8 unsigned char
#endif
#ifndef Int8
#define Int8 char 
#endif

#include "ngleextern.h"
#include "dregs.h"
#include "ngledevrom.h"
#include "nglehdw.h"
#include "nglecursor.h"
#include "nglecolormap.h"
#include "nglenoop.h"
#include "hppriv.h"
#include "nglescreen.h"


#   ifndef S9000_ID_TIMBER		/* Bushmaster (710) Graphics */
#       define S9000_ID_TIMBER		0x27F12392
#   endif

#   ifndef S9000_ID_TOMCAT		/* 2-headed ELK */
#       define S9000_ID_TOMCAT          0x27FCCB6D
#   endif

#define hpGivingUp  (dispatchException & DE_TERMINATE)

#define MAX_BITS_PER_RGB 8 /* The maximum number of bits that any
			      of the DACs have on our hardware. */

#endif /* NGLE_H */
