/************************************************************
(c)Copyright 1992 by Hewlett-Packard Co., Palo Alto, California.

                        All Rights Reserved

Permission to use, copy, modify, and distribute this software and its 
documentation for any purpose and without fee is hereby granted, 
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in 
supporting documentation, and that the names of Hewlett-Packard or MIT not be
used in advertising or publicity pertaining to distribution of the
software without specific, written prior permission.  

HEWLETT-PACKARD DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL
HEWLETT-PACKARD BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR
ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
SOFTWARE.

********************************************************/

/******************************************************************************
 *
 *  Defines shared structure NgleDisplayRec as well as
 *  DDX-specific entry points relating to color for NGLE driver.
 *
 ******************************************************************************/

#ifndef NGLECOLORMAP_H
#define NGLECOLORMAP_H


extern void ngleInstallColormap(
    ColormapPtr pColormap);

extern void ngleUninstallColormap(
    ColormapPtr pColormap);

extern int ngleListInstalledColormaps(
    ScreenPtr   pScreen,
    Colormap    *pCmapList);

extern void ngleStoreColors(
    ColormapPtr pCmap,
    int         ndef,
    xColorItem  *pdefs);

extern Bool ngleCreateColormap(
    ColormapPtr pCmap);

extern void ngleDestroyColormap(
    ColormapPtr pCmap);

extern void ngleResolvePseudoColor(
    Card16      *pRed,
    Card16      *pGreen,
    Card16      *pBlue,
    VisualPtr   pVisual);


#endif /* NGLECOLORMAP_H */
